<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:id="@+id/rootView"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@mipmap/bg_search_label"
    android:orientation="vertical">

    <RelativeLayout
        android:layout_width="350dp"
        android:layout_height="350dp"
        android:layout_gravity="center_horizontal"
        android:layout_marginTop="@dimen/dp_30"
        android:background="@mipmap/dashboard">

        <ImageView
            android:id="@+id/needleView"
            android:layout_width="wrap_content"
            android:layout_height="175dp"
            android:layout_centerHorizontal="true"
            android:layout_marginTop="72dp"
            android:src="@drawable/ic_arrow" />

        <RelativeLayout
            android:layout_width="145dp"
            android:layout_height="145dp"
            android:layout_centerHorizontal="true"
            android:layout_marginTop="87dp"
            android:background="@mipmap/center_screen">

            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:layout_centerHorizontal="true"
                android:gravity="center"
                android:orientation="vertical">

                <TextView
                    android:id="@+id/energyValueView"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:fontFamily="@font/fzdhjt"
                    android:text="0"
                    android:textColor="#8C5700"
                    android:textSize="28sp" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:fontFamily="@font/fzdhjt"
                    android:text="dB"
                    android:textColor="#8C5700"
                    android:textSize="@dimen/sp_20" />
            </LinearLayout>
        </RelativeLayout>

        <TextView
            android:id="@+id/searchResultView"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentBottom="true"
            android:layout_centerHorizontal="true"
            android:layout_marginBottom="@dimen/dp_75"
            android:background="@mipmap/bg_small_text_red"
            android:fontFamily="@font/fzdhjt"
            android:gravity="center_horizontal"
            android:paddingHorizontal="@dimen/dp_10"
            android:paddingVertical="@dimen/dp_10"
            android:text="未检测到标识器"
            android:textColor="#8D1717"
            android:textSize="@dimen/sp_16" />
    </RelativeLayout>

    <TextView
        android:id="@+id/taskStateView"
        android:layout_width="320dp"
        android:layout_height="wrap_content"
        android:layout_gravity="center"
        android:layout_marginVertical="@dimen/dp_10"
        android:ellipsize="marquee"
        android:gravity="center"
        android:singleLine="true"
        android:text="监测到未开始执行工单，探测到的标识器将不会自动上传至服务器"
        android:textColor="@color/white"
        android:textSize="@dimen/sp_14" />

    <TextView
        android:id="@+id/energyTipsView"
        android:layout_width="320dp"
        android:layout_height="wrap_content"
        android:layout_gravity="center_horizontal"
        android:background="@mipmap/bg_large_text_red"
        android:fontFamily="@font/fzdhjt"
        android:gravity="center"
        android:padding="@dimen/dp_15"
        android:text="标识器信号较弱，可能距离较远"
        android:textColor="#8D1717"
        android:textSize="@dimen/sp_20" />

    <RelativeLayout
        android:layout_width="320dp"
        android:layout_height="wrap_content"
        android:layout_gravity="center_horizontal"
        android:layout_marginTop="@dimen/dp_30">

        <Button
            android:id="@+id/depthButton"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:background="@mipmap/left_button_disable"
            android:enabled="false"
            android:fontFamily="@font/fzdhjt"
            android:paddingHorizontal="@dimen/dp_20"
            android:paddingVertical="@dimen/dp_15"
            android:text="标识器测距"
            android:textColor="#CCCCCC"
            android:textSize="@dimen/sp_22" />

        <Button
            android:id="@+id/markerInfoButton"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentEnd="true"
            android:background="@mipmap/right_button_disable"
            android:enabled="false"
            android:fontFamily="@font/fzdhjt"
            android:paddingHorizontal="@dimen/dp_20"
            android:paddingVertical="@dimen/dp_15"
            android:text="标识器信息"
            android:textColor="#CCCCCC"
            android:textSize="@dimen/sp_22" />
    </RelativeLayout>

    <TextView
        android:id="@+id/resultTextView"
        android:layout_width="320dp"
        android:layout_height="match_parent"
        android:layout_gravity="center_horizontal"
        android:layout_marginVertical="@dimen/dp_15"
        android:background="@color/white"
        android:fontFamily="@font/fzdhjt"
        android:padding="@dimen/dp_5"
        android:textColor="@color/black"
        android:textSize="@dimen/sp_18"
        android:visibility="gone" />
</LinearLayout>